DeleteSupportPermit
Deletes a support permit, revoking the authorization previously granted to the AWS support operator.
Request Syntax
DELETE /support-permits/supportPermitIdentifier HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
-
The Amazon Resource Name (ARN) or name of the support permit to delete.
Length Constraints: Minimum length of 1. Maximum length of 512.
Pattern:
arn:[a-z0-9-]+:[a-z0-9-]+:[a-z0-9-]*:[0-9]{12}:.+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"createdAt": number,
"description": "string",
"name": "string",
"permit": {
"actions": { ... },
"conditions": [
{ ... }
],
"resources": { ... }
},
"signingKeyInfo": { ... },
"status": "string",
"supportCaseDisplayId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
-
The ARN of the deleted support permit.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 512.
Pattern:
arn:[a-z0-9-]+:[a-z0-9-]+:[a-z0-9-]*:[0-9]{12}:.+ -
The timestamp when the permit was originally created.
Type: Timestamp
-
The description of the deleted support permit.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
-
The name of the deleted support permit.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[a-zA-Z0-9]{1,256} -
The permit definition of the deleted permit.
Type: Permit object
-
The signing key information for the deleted permit.
Type: SigningKeyInfo object
Note: This object is a Union. Only one member of this object can be specified or returned.
-
The status of the support permit. Returns DELETING.
Type: String
Valid Values:
ACTIVE | INACTIVE | DELETING -
The display identifier of the support case associated with the deleted permit.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 512.
Pattern:
[a-zA-Z0-9:/-]{1,512}
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You don't have sufficient permissions to perform this operation.
HTTP Status Code: 403
- InternalServerException
-
An internal service error occurred. Try again later.
- retryAfterSeconds
-
The number of seconds to wait before retrying the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource does not exist.
- resourceId
-
The identifier of the resource that was not found.
- resourceType
-
The type of the resource that was not found.
HTTP Status Code: 404
- ThrottlingException
-
The request rate exceeded the allowed limit. Try again later.
- retryAfterSeconds
-
The number of seconds to wait before retrying the request.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
- fieldList
-
A list of fields that fail validation. Each entry identifies the field and the reason for the constraint violation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: